//GP2Y1014AU 미세먼지 센서 테스트 코드
int Vo = A0,  V_LED = 2;

float Vo_value = 0.0, Voltage = 0.0;
float dustDensity = 0.0;

void setup() {
  Serial.begin(9600);
  pinMode(V_LED, OUTPUT);
}

void loop() {
  digitalWrite(V_LED, LOW);
  delayMicroseconds(280);
  Vo_value = analogRead(Vo);
  delayMicroseconds(40);
  digitalWrite(V_LED, HIGH);
  delayMicroseconds(9680);

  Voltage = Vo_value * 5.0 / 1023.0;
  dustDensity = (Voltage - 0.3) / 0.005;

  Serial.print("Dust : ");
  Serial.print(dustDensity, 2);
  
  delay(5000);
}
